Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# PortableInterceptor::ServerRequestInterceptor Interface Reference

`#include <ServerRequestInterceptorC.h>`

List of all members.

## Public Types
typedef ServerRequestInterceptor_ptr | _ptr_type
typedef ServerRequestInterceptor_var | _var_type
## Public Member Functions
void | tao_ft_interception_point (in ServerRequestInfo ri, out CORBA::OctetSeq os) raises (ForwardRequest)
| Proprietary method in TAO for fault tolerance.
void | receive_request_service_contexts (in ServerRequestInfo ri) raises (ForwardRequest)
void | receive_request (in ServerRequestInfo ri) raises (ForwardRequest)
void | send_reply (in ServerRequestInfo ri)
void | send_exception (in ServerRequestInfo ri) raises (ForwardRequest)
void | send_other (in ServerRequestInfo ri) raises (ForwardRequest)
virtual void | receive_request_service_contexts (::PortableInterceptor::ServerRequestInfo_ptr ri)=0 throw ( ::CORBA::SystemException, ::PortableInterceptor::ForwardRequest )
virtual void | receive_request (::PortableInterceptor::ServerRequestInfo_ptr ri)=0 throw ( ::CORBA::SystemException, ::PortableInterceptor::ForwardRequest )
virtual void | send_reply (::PortableInterceptor::ServerRequestInfo_ptr ri)=0 throw ( ::CORBA::SystemException )
virtual void | send_exception (::PortableInterceptor::ServerRequestInfo_ptr ri)=0 throw ( ::CORBA::SystemException, ::PortableInterceptor::ForwardRequest )
virtual void | send_other (::PortableInterceptor::ServerRequestInfo_ptr ri)=0 throw ( ::CORBA::SystemException, ::PortableInterceptor::ForwardRequest )
virtual ::CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual ::CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
ServerRequestInterceptor_ptr | _duplicate (ServerRequestInterceptor_ptr obj)
void | _tao_release (ServerRequestInterceptor_ptr obj)
ServerRequestInterceptor_ptr | _narrow (::CORBA::Object_ptr obj)
ServerRequestInterceptor_ptr | _unchecked_narrow (::CORBA::Object_ptr obj)
ServerRequestInterceptor_ptr | _nil (void)
## Protected Member Functions
| ServerRequestInterceptor (void)
virtual | ~ServerRequestInterceptor (void)
## Private Member Functions
| ServerRequestInterceptor (const ServerRequestInterceptor &)
void | operator= (const ServerRequestInterceptor &)

## Member Typedef Documentation

typedef ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor::_ptr_type

typedef ServerRequestInterceptor_var PortableInterceptor::ServerRequestInterceptor::_var_type

## Constructor & Destructor Documentation

PortableInterceptor::ServerRequestInterceptor::ServerRequestInterceptor | ( | void |  | ) | `[protected]`

PortableInterceptor::ServerRequestInterceptor::~ServerRequestInterceptor | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::ServerRequestInterceptor::ServerRequestInterceptor | ( | const ServerRequestInterceptor & |  | ) | `[private]`

## Member Function Documentation

PortableInterceptor::ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor::_duplicate | ( | ServerRequestInterceptor_ptr | obj | ) | `[static]`

const char * PortableInterceptor::ServerRequestInterceptor::_interface_repository_id | ( | void |  | ) | const`[virtual]`

virtual ::CORBA::Boolean PortableInterceptor::ServerRequestInterceptor::_is_a | ( | const char * | type_id | ) |

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor::_narrow | ( | ::CORBA::Object_ptr | obj | ) | `[static]`

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor::_nil | ( | void |  | ) | `[inline, static]`

void PortableInterceptor::ServerRequestInterceptor::_tao_release | ( | ServerRequestInterceptor_ptr | obj | ) | `[static]`

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor::_unchecked_narrow | ( | ::CORBA::Object_ptr | obj | ) | `[static]`

CORBA::Boolean PortableInterceptor::ServerRequestInterceptor::marshal | ( | TAO_OutputCDR & | cdr | ) |

void PortableInterceptor::ServerRequestInterceptor::operator= | ( | const ServerRequestInterceptor & |  | ) | `[private]`

virtual void PortableInterceptor::ServerRequestInterceptor::receive_request | ( | ::PortableInterceptor::ServerRequestInfo_ptr | ri | ) | throw ( ::CORBA::SystemException, ::PortableInterceptor::ForwardRequest )`[pure virtual]`

void PortableInterceptor::ServerRequestInterceptor::receive_request | ( | in ServerRequestInfo | ri | ) | raises (ForwardRequest)

virtual void PortableInterceptor::ServerRequestInterceptor::receive_request_service_contexts | ( | ::PortableInterceptor::ServerRequestInfo_ptr | ri | ) | throw ( ::CORBA::SystemException, ::PortableInterceptor::ForwardRequest )`[pure virtual]`

void PortableInterceptor::ServerRequestInterceptor::receive_request_service_contexts | ( | in ServerRequestInfo | ri | ) | raises (ForwardRequest)

virtual void PortableInterceptor::ServerRequestInterceptor::send_exception | ( | ::PortableInterceptor::ServerRequestInfo_ptr | ri | ) | throw ( ::CORBA::SystemException, ::PortableInterceptor::ForwardRequest )`[pure virtual]`

void PortableInterceptor::ServerRequestInterceptor::send_exception | ( | in ServerRequestInfo | ri | ) | raises (ForwardRequest)

virtual void PortableInterceptor::ServerRequestInterceptor::send_other | ( | ::PortableInterceptor::ServerRequestInfo_ptr | ri | ) | throw ( ::CORBA::SystemException, ::PortableInterceptor::ForwardRequest )`[pure virtual]`

void PortableInterceptor::ServerRequestInterceptor::send_other | ( | in ServerRequestInfo | ri | ) | raises (ForwardRequest)

virtual void PortableInterceptor::ServerRequestInterceptor::send_reply | ( | ::PortableInterceptor::ServerRequestInfo_ptr | ri | ) | throw ( ::CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::ServerRequestInterceptor::send_reply | ( | in ServerRequestInfo | ri | ) |

void PortableInterceptor::ServerRequestInterceptor::tao_ft_interception_point | ( | in ServerRequestInfo | ri,
|  | out CORBA::OctetSeq | os
| ) | raises (ForwardRequest)

| Proprietary method in TAO for fault tolerance.

The documentation for this interface was generated from the following files:

- ServerRequestInterceptor.pidl
- ServerRequestInterceptorC.h
- ServerRequestInterceptorC.cpp